# $Revision: 1.27 $, $Date: 2012/01/15 22:57:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
Summary:	Digest - Perl modules that calculate message digests
Summary(pl.UTF-8):	Digest - moduły do obliczania skrótów komunikatów
Name:		perl-Digest
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	2f8a38f7f6c1bd2df36feb16d8208d6d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a simple frontend module for autoloading of various
Digest:: modules.  It also provide documentation of the interface
that all Digest:: modules should provide.

%description -l pl.UTF-8
Ten moduł jest prostym frontendem do automatycznego wczytywania
różnych modułów Digest::. Zawiera także dokumentację do interfejsu
ogólnego dla wszystkich modułów Digest::.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Digest.pm
%{perl_vendorlib}/Digest/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest.spec,v $
Revision 1.27  2012/01/15 22:57:55  zbyniu
- up to 1.17

Revision 1.26  2009/06/18 12:39:39  amateja
- updated to 1.16

Revision 1.25  2008/07/27 22:33:22  arekm
- release 2

Revision 1.24  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.22  2006/07/27 18:41:18  agaran
- up to 1.15, rel=1, builds here

Revision 1.21  2005/12/04 23:54:20  czucz
- updated to 1.14

Revision 1.20  2005/04/21 10:55:33  hawk
- release 2 for Ac (1 is for Ra)

Revision 1.19  2004/11/11 22:30:21  paladine
- updated to 1.10

Revision 1.18  2004/11/03 22:30:20  paladine
- formatting

Revision 1.17  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/02 07:31:31  adamg
- updated to 1.08

Revision 1.14  2004/04/25 21:47:11  adamg
- updated to 1.07

Revision 1.13  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.12  2004/04/04 20:22:32  adamg
- updated to 1.06

Revision 1.11  2003/12/03 20:18:27  migo
- up to 1.05, added tests
- added Digest::base
- cosmetics

Revision 1.10  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:31:56  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:18:12  ankry
- autoupdated to 1.02

Revision 1.2  2003/01/07 14:53:22  mis
- autoupdated to 1.01

Revision 1.1  2002/07/21 21:51:13  qboosh
- new
